#ifndef _MUSICMANAGER_H_
#define _MUSICMANAGER_H_

#include <vector>
#include "SDL_mixer.h"
#include "id3.h"
using namespace std;

struct MusicTrack {
	Mix_Music* data;
	id3v1tags* tags;
};

/*
	Last modified Nov 15 2005
*/

class MusicManager {
public:
	void playTrack(int num, bool bLoops);
	string getTrackName();
	void changeTrack(int dt);
	void setVolume(int vol);
	void pause();
	void resume();
	void restart();

	int loadTrack(char *filename);
	
	MusicManager(char *dir);
	~MusicManager();
private:
	vector <MusicTrack*> tracks;
	int curTrack;
};

#endif
