#include "PropaneTimers.h"

PropaneTimer::PropaneTimer() {
	timer = 0.0f;
	limit = 0.1f;
	increments = false;
}

PropaneTimer::PropaneTimer(float mLimit, bool mIncr) {
	increments = mIncr;
	limit = mLimit;
}

float PropaneTimer::getTime() {
	return timer;
}

float PropaneTimer::percentComplete() {
	return (timer/limit)*100.0f;
}

void PropaneTimer::reset() {
	if(increments) {
		timer = 0.0f;
	}
	else {
		timer = limit;
	}
}

bool PropaneTimer::update(float delta) {
	// Updates, you will have to manually reset this
	if(increments) {
		timer += delta;
		if(timer >= limit) {
			return true;
		}
	}
	else {
		timer -= delta;
		if(timer <= 0.0f) {
			return true;
		}
	}
	return false;
}

PropaneAutoResetTimer::PropaneAutoResetTimer(float mlimit, bool incr) {
	limit = mlimit;
	increments = incr;
}

bool PropaneAutoResetTimer::update(float delta) {
	if(PropaneTimer::update(delta) == true) {
		reset();
	}
}

PropaneTimer::~PropaneTimer() { }
