#ifndef _SPRITEMANAGER_H_
#define _SPRITEMANAGER_H_

#include "glheaders.h"
#include <vector>
using namespace std;

/*
	Freezer 2 Surface Manager
	---
	An improved version of the one to be used under Sequence 13, with a lesser focus.
	Instead of dealing with animation, merely holds a wad of Surfaces. Actors now handle animation.
*/

class SpriteManager {
public:
	int addSprite(char *filename);
	void freeSprites();
	void drawSprite(int num, int x, int y, int width, int height);
	void drawSprite(int num, int x, int y, int width, int height, float rotation);
	void setScreenSize(int w, int h);
	int getScreenWidth();
	int getScreenHeight();
	int size();
	
	SpriteManager(char *dir);
	~SpriteManager();
private:
	int screenWidth, screenHeight;
	vector <GLuint*> sprites;
	GLuint* getSprite(int num);
};

#endif
