#ifndef _GLHEADERS_H_
#define _GLHEADERS_H_

#if defined(WIN32)
// Windows' OpenGL support is wacky,
// and expects windows.h before any
// OpenGL including
#include <windows.h>
// It also expects some library linkage
#pragma comment(lib, "opengl32.lib")
#pragma comment(lib, "glu32.lib")
#pragma comment(lib, "SDL.lib")
#pragma comment(lib, "SDLmain.lib")
#pragma comment(lib, "SDL_mixer.lib")
#pragma comment(lib, "SDL_image.lib")
#pragma message("Win32 (VS2003) build is experimental. Be careful!")
#endif

#if defined(__APPLE__)
// Apple has a weird framework system
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>
#else
// This makes slightly more sense
#include <GL/gl.h>
#include <GL/glu.h>
#endif

// Windows/DevC users may need to change to 
// #include <SDL/SDL.h>
#include "SDL.h"
#include "SDL_image.h"
#include "SDL_mixer.h"
#include "SDL_endian.h"

// Game specific content
//#include "defines.h"

// STL includes -- these are remarkably
// unlikely to change
#include <list>
#include <vector>
#include <string>

#endif
