#include "id3.h"

void copystr(string dest, char* orig, int len) {
	for(int i = 0; i < len; i++) {
		dest += orig[i];
		if(orig[i] == '\0')
			break;
	}
}

id3v1tags* getV1Tags(char *file) {
	FILE* fp = fopen(file, "rb");
	if(!fp) {
		fprintf(stderr, "Can't open %s\n", file);
		fclose(fp);
		return NULL;
	}
	
	// Seek to the right spot in the file
	fseek(fp, -128, SEEK_END);
	// Make sure the next 3B are "TAG"
	char temp[4];
	fgets(temp, 4, fp);
#ifdef DEBUG
	printf("Tag is %s\n", temp);
#endif
	if(strcmp(temp, "TAG") != 0) {
		fprintf(stderr, "This file does not contain ID3v1 information\n");
		fclose(fp);
		return NULL;
	}
	
	id3v1tags* t = new id3v1tags;
	
	char templong[30];
	fgets(templong, 31, fp);
#ifdef DEBUG
	for(int i = 0; i < 30; i++) {
		printf("%c.", templong[i]);
	}
	printf("\n");
#endif
	t->title = templong;
	// our title.
	fgets(templong, 31, fp);
#ifdef DEBUG
	for(int i = 0; i < 30; i++) {
		printf("%c.", templong[i]);
	}
	printf("\n");
#endif
	t->artist = templong;
	fgets(templong, 31, fp);
#ifdef DEBUG
	for(int i = 0; i < 30; i++) {
		printf("%c.", templong[i]);
	}
	printf("\n");
#endif
	t->album = templong;
	fgets(templong, 5, fp);
	t->year = templong;
	fgets(templong, 31, fp);
	t->comment = templong;
	fgets(templong, 2, fp);
	t->genre = templong[0];
	
	fclose(fp);
	return t;
}
